## grendel.prefs
Class Prefs

    java.lang.Object
      |
      +--grendel.prefs.Prefs

public class Prefs
extends java.lang.Object

Constructor Summary
`Prefs()`

Method Summary
`void` | `addUserPrefs(UserPrefs aPrefs)`
`MailServerPrefs` | `getMailServerPrefs()`
`UIPrefs` | `getUIPrefs()`
`UserPrefs` | `getUserPrefs()`
`UserPrefs` | `getUserPrefs(int count)`
`int` | `getUserPrefsCount()`
`UserPrefs` | `readUserPrefs(int count)`
`void` | `set(java.lang.Object obj)`
`void` | `setMailServerPrefs(MailServerPrefs aPrefs)`
`void` | `setUIPrefs(UIPrefs aUIPrefs)`
`void` | `setUserPrefs(UserPrefs aPrefs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Prefs

    public Prefs()

Method Detail

### getUserPrefsCount

    public int getUserPrefsCount()

### getUserPrefs

    public UserPrefs getUserPrefs()

### getUserPrefs

    public UserPrefs getUserPrefs(int count)

### readUserPrefs

    public UserPrefs readUserPrefs(int count)

### setUserPrefs

    public void setUserPrefs(UserPrefs aPrefs)

### addUserPrefs

    public void addUserPrefs(UserPrefs aPrefs)

### getMailServerPrefs

    public MailServerPrefs getMailServerPrefs()

### setMailServerPrefs

    public void setMailServerPrefs(MailServerPrefs aPrefs)

### getUIPrefs

    public UIPrefs getUIPrefs()

### setUIPrefs

    public void setUIPrefs(UIPrefs aUIPrefs)

### set

    public void set(java.lang.Object obj)